Bug 487297 - evolution crashes when trying to print
evolution crashes when trying to print
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 06:40 EST by Domingo Becker
Modified: 2009-02-26 04:39 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.24.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 04:39:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 569892 None None None Never

  None (edit)
Description Domingo Becker 2009-02-25 06:40:19 EST
Description of problem:
When I try to print either from File->Print or the printer icon in toolbar, evolutions crashes.

Version-Release number of selected component (if applicable):
Fedora 10

How reproducible:


Steps to Reproduce:
1. Open evolution
2. select an email
3. File->Print
  
Actual results:
application crashes

Expected results:


Additional info:
Details from bugbuddy:
Distribution: Fedora release 10 (Cambridge)
Gnome Release: 2.24.3 2009-01-16 (Red Hat, Inc)
BugBuddy Version: 2.24.2

System: Linux 2.6.27.15-170.2.24.fc10.i686 #1 SMP Wed Feb 11 23:58:12 EST 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors (16 sec old) ---------------------
 CConn:       Throughput 20000 kbit/s - changing to hextile encoding
 CConn:       Throughput 20000 kbit/s - changing to full colour
 CConn:       Using pixel format depth 24 (32bpp) little-endian rgb888
 CConn:       Using hextile encoding
calling convert '/tmp/.gnome_thumbnail.JQDAQU.1280PU' +matte -thumbnail 128x128 png:'/tmp/.gnome_thumbnail.JQDAQU'
calling convert '/tmp/.gnome_thumbnail.WAH8PU.SMH6PU' +matte -thumbnail 128x128 png:'/tmp/.gnome_thumbnail.WAH8PU'
calling convert '/tmp/.gnome_thumbnail.8L26PU.U40AQU' +matte -thumbnail 128x128 png:'/tmp/.gnome_thumbnail.8L26PU'
warning: line 6553: incompatible stripping characters and condition
warning: line 6565: incompatible stripping characters and condition
calling convert '/tmp/.gnome_thumbnail.QS1XPU.QPTYPU' +matte -thumbnail 128x128 png:'/tmp/.gnome_thumbnail.QS1XPU'
evolution-shell-Message: Killing old version of evolution-data-server...
** (evolution:2025): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:2025): DEBUG: mailto URL program: evolution
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name org.freedesktop.NetworkManager was not provided by any .service files
--------------------------------------------------
Comment 1 Milan Crha 2009-02-25 06:52:39 EST
Hi, thanks for the bug report. What is your exact version of evolution, evolution-data-server, gtkhtml3, and gtk2, please? Can you update to latest and try again? If it crashes, can you install debug info packages for those mentioned above and paste here also a backtrace of the crash, please?

Note, we have a bug #485899 for this, but there helped an update.
Comment 2 Domingo Becker 2009-02-25 08:03:56 EST
evolution-2.24.4-1.fc10
evolution-data-server-2.24.4-1.fc10
gtkhtml3-3.24.4-1.fc10
gtk2-2.14.7-1.fc10

It seems to be the latest as gnome-packagekit doesn't show any update available.

Debug info package installed
evolution-debuginfo-2.24.1-1.fc10
evolution-data-server-debuginfo-2.24.1-1.fc10
gtkhtml3-debuginfo-3.24.1-1.fc10
gtk2-debuginfo-2.14.4-3.fc10

Versions are slightly different. Is it ok?

Backtrace of the crash, from bugbuddy:

Distribution: Fedora release 10 (Cambridge)
Gnome Release: 2.24.3 2009-01-16 (Red Hat, Inc)
BugBuddy Version: 2.24.2

System: Linux 2.6.27.15-170.2.24.fc10.i686 #1 SMP Wed Feb 11 23:58:12 EST 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 121081856 vsize: 121081856 resident: 37867520 share: 23109632 rss: 37867520 rss_rlim: 18446744073709551615
CPU usage: start_time: 1235566571 rtime: 195 utime: 175 stime: 20 cutime:4 cstime: 9 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fca980 (LWP 3705)]
[New Thread 0xb5bfdb90 (LWP 3749)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00778416 in __kernel_vsyscall ()
#0  0x00778416 in __kernel_vsyscall ()
#1  0x005d50db in waitpid () from /lib/libpthread.so.0
#2  0x00180637 in g_spawn_sync () from /lib/libglib-2.0.so.0
#3  0x0018097c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
#4  0x00833083 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  0x00833614 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#6  0x008336c5 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#7  0x0805d30c in ?? ()
#8  <signal handler called>
#9  0x008b74c0 in g_object_ref () from /lib/libgobject-2.0.so.0
#10 0x04b7bdb9 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x04ac279d in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x04af8e76 in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x04b7bef1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x04b7bfc7 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x04b7c112 in gtk_grab_add () from /usr/lib/libgtk-x11-2.0.so.0
#16 0x04cb23f3 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x008c2984 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#18 0x008b3959 in ?? () from /lib/libgobject-2.0.so.0
#19 0x008b51fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
#20 0x008caeae in ?? () from /lib/libgobject-2.0.so.0
#21 0x008ccd6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#22 0x008cd1e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
#23 0x04ca192c in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x04aff3f2 in gtk_dialog_run () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x04d0b507 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x04bb1add in gtk_print_operation_run () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x0757de1b in html_engine_print_operation_run ()
   from /usr/lib/libgtkhtml-3.14.so.19
#28 0x0754eb0f in gtk_html_print_operation_run ()
   from /usr/lib/libgtkhtml-3.14.so.19
#29 0x060d9d8f in ?? ()
   from /usr/lib/evolution/2.24/components/libevolution-mail.so
#30 0x008c2984 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#31 0x008b51fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
#32 0x008cb655 in ?? () from /lib/libgobject-2.0.so.0
#33 0x008ccd6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#34 0x008cd08d in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#35 0x060db84e in ?? ()
   from /usr/lib/evolution/2.24/components/libevolution-mail.so
#36 0x06108e82 in ?? ()
   from /usr/lib/evolution/2.24/components/libevolution-mail.so
#37 0x00145301 in ?? () from /lib/libglib-2.0.so.0
#38 0x00147238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#39 0x0014a8e3 in ?? () from /lib/libglib-2.0.so.0
#40 0x0014ae02 in g_main_loop_run () from /lib/libglib-2.0.so.0
#41 0x07384a13 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#42 0x0805d6a3 in main ()

Thread 2 (Thread 0xb5bfdb90 (LWP 3749)):
#0  0x00778416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004f8777 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x0014a772 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x0014ae02 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00b40018 in ?? () from /usr/lib/libnm_glib.so.0
No symbol table info available.
#5  0x00171c8f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x005cd51f in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x0050304e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 0xb7fca980 (LWP 3705)):
#0  0x00778416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005d50db in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00180637 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x0018097c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00833083 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x00833614 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x008336c5 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  0x0805d30c in ?? ()
No symbol table info available.
#8  <signal handler called>
No symbol table info available.
#9  0x008b74c0 in g_object_ref () from /lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x04b7bdb9 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x04ac279d in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x04af8e76 in gtk_container_forall () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x04b7bef1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x04b7bfc7 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x04b7c112 in gtk_grab_add () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x04cb23f3 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x008c2984 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x008b3959 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x008b51fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x008caeae in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x008ccd6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x008cd1e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x04ca192c in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x04aff3f2 in gtk_dialog_run () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0x04d0b507 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x04bb1add in gtk_print_operation_run () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x0757de1b in html_engine_print_operation_run ()
   from /usr/lib/libgtkhtml-3.14.so.19
No symbol table info available.
#28 0x0754eb0f in gtk_html_print_operation_run ()
   from /usr/lib/libgtkhtml-3.14.so.19
No symbol table info available.
#29 0x060d9d8f in ?? ()
   from /usr/lib/evolution/2.24/components/libevolution-mail.so
No symbol table info available.
#30 0x008c2984 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#31 0x008b51fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#32 0x008cb655 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x008ccd6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#34 0x008cd08d in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#35 0x060db84e in ?? ()
   from /usr/lib/evolution/2.24/components/libevolution-mail.so
No symbol table info available.
#36 0x06108e82 in ?? ()
   from /usr/lib/evolution/2.24/components/libevolution-mail.so
No symbol table info available.
#37 0x00145301 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#38 0x00147238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#39 0x0014a8e3 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#40 0x0014ae02 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#41 0x07384a13 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#42 0x0805d6a3 in main ()
No symbol table info available.
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
warning: the debug information found in "/usr/lib/debug/usr/lib/evolution/2.24/plugins/liborg-gnome-groupwise-features.so.debug" does not match "/usr/lib/evolution/2.24/plugins/liborg-gnome-groupwise-
warning: the debug information found in "/usr/lib/debug//usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-file.so.debug" does not match "/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-file.
warning: the debug information found in "/usr/lib/debug/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-file.so.debug" does not match "/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-file.s
warning: the debug information found in "/usr/lib/debug//usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so.debug" does not match "/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.
warning: the debug information found in "/usr/lib/debug/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so.debug" does not match "/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.s
--------------------------------------------------
Comment 3 Domingo Becker 2009-02-25 08:10:33 EST
It's easy to reproduce the error.
Just sit down on an up-to-date Fedora 10 desktop, open evolution and try to print some message.
I tested it on 3 desktops and the results are the same.

regards
Comment 4 Matthew Barnes 2009-02-25 10:53:20 EST
Looks like your debuginfo packages do need updated to match the latest version.  You may need to enable the updates-debuginfo repository on your system if it isn't already.  See /etc/yum.repos.d/fedora-updates.repo.

Once those are updated can you please post another stacktrace of the crash?

Thanks.
Comment 5 Milan Crha 2009-02-26 04:39:36 EST
Even I cannot reproduce this myself, then I was pointed to the right bug, where this was fixed upstream [1]. The fix did get it to Fedora's 2.24.4, thus the fix will be included in next release, 2.24.5, which will be in updates-testing within next two days or so.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=569892

Note You need to log in before you can comment on or make changes to this bug.